Create a unified contact
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
email*string
Email address of the contact.
first_name*string
First name of the contact.
last_name?string|null
Last name of the contact.
phone?string|null
Phone number of the contact.
mobile_phone?string|null
Mobile phone number of the contact.
fax?string|null
Fax number of the contact.
address?string|null
Address of the contact.
city?string|null
City of the contact.
country?string|null
Country of the contact.
state?string|null
State or province of the contact.
zip?string|null
Zip or postal code of the contact.
position?string|null
Position or job title of the contact.
unified_customer_id?string|null
Related unified customer ID.
Response Body
application/json
curl -X POST "https://dev-backend.thelinks.ai/api/v1/unified/contact" \ -H "Content-Type: application/json" \ -d '{ "email": "johndoe@gmail.com", "first_name": "John" }'{
"data": {
"id": "contact_12345",
"source_system": "hubspot",
"source_system_img_url": "https://cdn.example.com/hubspot.png",
"source_id": "hs_67890",
"external_system_provider_id": "provider_002",
"external_system_config_id": "config_xyz",
"external_system_data": {
"custom_field": "value"
},
"supporting_data_definition_id": "support_002",
"email": "johndoe@thelinks.ai",
"first_name": "John",
"last_name": "Doe",
"phone": "+123456789",
"mobile_phone": "+123456789",
"fax": "+123456789",
"address": "123 Main St",
"city": "Los Santos",
"country": "USA",
"state": "California",
"zip": "90001",
"position": "Manager",
"is_primary": true,
"unified_customer_id": "cust_12345",
"source_system_customer_id": "sf_cust_67890",
"local_was_deleted": true,
"local_was_updated": true,
"source_data_created_at": "2024-01-01T12:00:00Z",
"is_active": true
}
}Empty